<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/activity_save"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/main_bg"
    tools:context=".activity.SaveActivity">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <ImageView
            android:id="@+id/save_back"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_marginStart="20dp"
            android:layout_marginTop="16dp"
            android:src="@drawable/icon_back"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.air.airhornprank.tool.MyTextView
            android:id="@+id/save_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:gravity="center"
            android:text="@string/record_title"
            android:textColor="@color/black"
            android:textSize="26sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/save_image"
            android:layout_width="260dp"
            android:layout_height="220dp"
            android:layout_marginTop="26dp"
            android:src="@mipmap/save_image"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/save_title" />

        <com.air.airhornprank.tool.MyTextView
            android:id="@+id/save_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            android:text="@string/time_text"
            android:textColor="@color/black"
            android:textSize="40sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/save_image" />

        <EditText
            android:id="@+id/save_edit"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="36dp"
            android:background="@drawable/edit_bg"
            android:gravity="center"
            android:hint="@string/edit_hint"
            android:maxLength="10"
            android:padding="8dp"
            android:textColorHint="@color/add_tips_color"
            app:layout_constraintTop_toBottomOf="@id/save_time" />

        <ImageView
            android:id="@+id/save_play"
            android:layout_width="95dp"
            android:layout_height="95dp"
            android:layout_marginTop="20dp"
            android:background="@drawable/pre_play"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/save_edit" />

        <TextView
            android:id="@+id/save"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="24dp"
            android:layout_marginBottom="40dp"
            android:background="@drawable/tab_check"
            android:gravity="center"
            android:padding="10dp"
            android:text="@string/record_save"
            android:textColor="@color/white"
            android:textSize="19sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/save_play" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</ScrollView>